<xsl>

	<define-script><![CDATA[
		function formatPrice(price)
		{
			var l = price.length;
			if (l > 3)
				price = price.substr(0,l-3) + "," + price.substr(l-3)
			return "$" + price + ".";
		}

		function trimSeconds(time)
		{
			// This function trims the "seconds" off of a time string
			var i = 0;
			var start = 0;
			var end = 0;
			while (time.charAt(i) != ":")
				i++;
			i++;
			while (time.charAt(i) != ":")
				i++;
			start = i;
			while (time.charAt(i) != " ")
				i++;
			end = i;
			return time.substring(0,start) + time.substring(end, time.length);
		}
	]]></define-script>

	<!-- Root rule - start processing here -->
	<rule>
		<root/>
		<DIV>
			<select-elements from="descendants">
				<target-element type="BIDS"/>
			</select-elements>
		</DIV>
	</rule>

	<!-- Rule for "Bids" element -->
	<rule>
		<target-element type="BIDS"/>
		<TABLE border="1px solid black">
			<TR		font-size="12pt"
					font-family="Verdana"
					font-weight="bold"
					text-decoration="underline">
				<TD>Bidder</TD>
				<TD>Price</TD>
				<TD>Time (<SPAN color="teal">AM</SPAN>/PM)</TD>
			</TR>
			<children/>
		</TABLE>
	</rule>

	<!-- Rule for "Bid" elements -->
	<rule>
		<target-element type="BID"/>
		<TR font-family="Verdana" font-size="12pt" padding="0px 6px">
			<select-elements>
				<target-element type="BIDDER"/>
			</select-elements>
			<select-elements>
				<target-element type="PRICE"/>
			</select-elements>
			<select-elements>
				<target-element type="TIME"/>
			</select-elements>
		</TR>
	</rule>

	<!-- Rule for "Bid" elements -->
	<rule>
		<target-element type="BID" position="last-of-type"/>
		<TR font-family="Verdana" font-size="12pt" padding="0px 6px" font-style="italic" color="maroon">
			<select-elements>
				<target-element type="BIDDER"/>
			</select-elements>
			<select-elements>
				<target-element type="PRICE"/>
			</select-elements>
			<select-elements>
				<target-element type="TIME"/>
			</select-elements>
		</TR>
	</rule>

	<!-- "Bidder" element rule -->
	<rule>
		<target-element type="BIDDER"/>
		<TD><children/></TD>
	</rule>

	<!-- "Time" element rule -->
	<rule>
		<target-element type="TIME"/>
		<TD color='=text.indexOf("AM",0) > 0 ? "teal" : "black"'><eval>trimSeconds(text)</eval></TD>
	</rule>

	<!-- "Price" element rule -->
	<rule>
		<target-element type="PRICE"/>
		<TD><eval>formatPrice(text)</eval></TD>
	</rule>

	<!-- Rule for other children of "Bid" -->
	<rule>
		<element type="BID">
			<target-element/>
		</element>
		<empty/>
	</rule>

</xsl>
