<xsl>

	<rule>
		<root/>
		<DIV padding=".3in .1in .3in .3in" font-family="Arial Black" background-image="URL(swallows.jpg)">
			<children/>
		</DIV>
	</rule>

	<rule>
		<target-element type="ITEM"/>
		<TABLE>
			<TR>
				<TD COLSPAN="2">
					<select-elements>
						<target-element type="PREVIEW-SMALL"/>
					</select-elements>
				</TD>
				<TD padding-left="1em">
					<select-elements>
						<target-element type="TITLE"/>
					</select-elements>
					<select-elements>
						<target-element type="ARTIST"/>
					</select-elements>
				</TD>
			</TR>
			<TR>
				<TD>
					<select-elements>
						<target-element type="DIMENSIONS"/>
					</select-elements>
				</TD>
				<TD>
					<DIV text-align="right" color="white" font="10pt. Verdana" font-style="italic" font-weight="normal">
						<select-elements>
							<target-element type="MATERIALS"/>
						</select-elements>, <select-elements>
							<target-element type="YEAR"/>
						</select-elements>
					</DIV>
				</TD>
				<TD>
				</TD>
			</TR>
			<TR>
				<TD COLSPAN="2">
					<select-elements>
						<target-element type="BIDS"/>
					</select-elements>
				</TD>
				<TD		text-align="right"
						font="10pt Verdana"
						font-style="italic"
						color="yellow">
					<DIV margin-top=".5em">Copyright &copy; 1997 Linda Mann, all rights reserved.</DIV>
					<DIV font-weight="bold">
						<a href="http://home.navisoft.com/lindamann/" target="_top">Linda Mann Art Gallery</a>
					</DIV>
				</TD>
			</TR>
		</TABLE>
	</rule>

	<rule>
		<target-element type="TITLE"/>
		<DIV	margin-left="2em" text-indent="-1.5em" line-height="80%"
				font-size="18pt" color="yellow">
			<children/>
		</DIV>
	</rule>

	<rule>
		<target-element type="ARTIST"/>
		<DIV	margin-left="2em" text-indent="-1.5em" line-height="80%"
				margin-top="1em" 
				font-style="italic" font-size="18pt" color="yellow">
			<children/>
		</DIV>
	</rule>

	<rule>
		<target-element type="PREVIEW-SMALL"/>
		<IMG src='=getAttribute("src")'
			 width='=getAttribute("width")'
			 height='=getAttribute("height")'
			 alt='=getAttribute("alt")'
			 border="1px solid black"/>
	</rule>

	<rule>
		<target-element type="MATERIALS"/>
		<target-element type="YEAR"/>
		<children/>
	</rule>
	
	<rule>
		<target-element type="DIMENSIONS"/>
		<DIV color="white" font="10pt. Verdana" font-style="italic" font-weight="normal">
			Size: <children/>
		</DIV>
	</rule>

	<rule>
		<target-element type="BID" position="first-of-type"/>
		<DIV margin="2px" padding="0em .5em" background-color="orange" color="white">
			High bid: <children/>
		</DIV>
	</rule>

	<rule>
		<target-element type="BID" position="last-of-type"/>
		<DIV margin="2px" padding="0em .5em" background-color="orange" color="white">
			Opening bid: <select-elements><target-element type="PRICE"/></select-elements>
		</DIV>
	</rule>

	<rule>
		<target-element type="BIDDER"/>
		<SPAN color="yellow"> (<children/>)</SPAN>
	</rule>

	<rule>
		<target-element type="PRICE"/>
		$<children/>
	</rule>

	<rule>
		<target-element type="BID"/>
		<target-element type="TIMESTAMP"/>
		<target-element type="TIME"/>
		<empty/>
	</rule>
</xsl>
